<!--- 
File:			EmployeeList.cfm	
Description:	List employees from database
Author:			Barry Moore	
Created:		15-Apr-2002
--->

<!--- retrieve all employees and extensions
	  using the new variable set in Application.cfm--->
<CFQUERY NAME="qStaffList" DATASOURCE="#MyAppDSN#">
	SELECT      FirstName, LastName, Extension
	FROM        Employees 
	ORDER BY  	LastName
</CFQUERY> 

<HTML>
   <HEAD>
	    <TITLE>Employee List</TITLE>
   </HEAD>
   <BODY>
	   <!--- output number of records in query results --->
	   <CFOUTPUT>
	   		<!--- the 'RecordCount' variable is automatically created --->
	   		<B>#qStaffList.RecordCount#</B> Employees Found
	   </CFOUTPUT>
	   <!--- begin the output table --->
	   <TABLE BORDER="1">
	   		<!--- table header row --->
		    <TR BGCOLOR="#FFFF80">
				<TH>No.</TH>
				<TH>Last Name</TH>
				<TH>First Name</TH>
				<TH>Ext.</TH>
			</TR>
			<!--- output query information--->
		   	<CFOUTPUT QUERY="qStaffList">
			<!--- since this row is inside a cfoutput block
			      it loops to create a new row for each record--->
			<TR>
				<!--- the 'CurrentRow' variable is automatically created --->
				<TD>#CurrentRow#</TD>
		   		<TD><B>#LastName#</B></TD> 
				<TD>#FirstName#</TD>
				<TD>#Extension#</TD>
			</TR>	
		   	</CFOUTPUT>
		</TABLE>
		<!--- end table output --->
   </BODY>
</HTML>
