<!--- 
File:			NewsEdit.cfm	
Description:	Page to edit news item details
Author:			Barry Moore	
Created:		30-Mar-2002
--->
<!--- get news item information --->
<CFQUERY NAME="qNewsDetails" DATASOURCE="BBdata">
	SELECT  *
	FROM    NewsItems 
	WHERE  	NewsItemID = #URL.nid#
</CFQUERY>
<HTML>
<HEAD>
    <TITLE>Edit News Item</TITLE>
	<LINK REL="stylesheet" HREF="../styles/bbstyle.css" TYPE="text/css">
</HEAD>
<BODY>
  	<!--- include banner --->
  	<CFINCLUDE TEMPLATE="inc_Banner.htm">

	<!--- table for main content --->
	<TABLE CELLSPACING="2" CELLPADDING="2" BORDER="0">
		<TR>
			<!--- cell with navigation menu --->
		    <TD VALIGN="top" WIDTH="175">
				<CFINCLUDE TEMPLATE="inc_Navigation.htm">
			</TD>
			<!--- main content cell --->
		    <TD VALIGN="top">
				<B>Edit News Item</B>
				<!--- begin nested table with form --->
				<TABLE BGCOLOR="#FFFFCC"  BORDERCOLOR="#000000" BORDER="1" CELLPADDING="4" CELLSPACING="0" >
				  <CFFORM ACTION="NewsUpdate.cfm" METHOD="POST">
					<TR>
						<TD>News Item ID</TD>
						<TD>
							<CFOUTPUT>
								#(qNewsDetails.NewsItemID)#
								<!--- hidden news item ID --->
								<INPUT TYPE="hidden" NAME="NewsItemID" VALUE="#qNewsDetails.NewsItemID#">
							</CFOUTPUT>
						</TD>
					</TR>
					<TR>
						<TD>News Date</TD>
						<TD>
							<CFINPUT TYPE="Text" NAME="NewsDate" VALUE="#DateFormat(qNewsDetails.NewsDate,"MM/DD/YYYY")#" MESSAGE="Please enter a valid date" REQUIRED="Yes" SIZE="10">
							<FONT COLOR="#FF0000">MM/DD/YYYY</FONT>
						</TD>
					</TR>
					<TR>
						<TD>News Hedaline</TD>
						<TD><CFINPUT TYPE="Text" NAME="NewsHeadline" VALUE="#qNewsDetails.NewsHeadline#" MESSAGE="Enter a headline" REQUIRED="Yes" SIZE="30" MAXLENGTH="100"></TD>
					</TR>
					<TR>
						<TD>News Body</TD>
						<TD><TEXTAREA COLS="40" ROWS="8" NAME="NewsBody" WRAP="Virtual"><CFOUTPUT>#qNewsDetails.NewsBody#</CFOUTPUT></TEXTAREA></TD>
					</TR>
					<TR>
						<TD>Publish</TD>
						<TD>
							<CFIF qNewsDetails.Publish IS 0>
									<CFINPUT TYPE="Checkbox" NAME="Publish">
								<CFELSE>
									<CFINPUT TYPE="Checkbox" NAME="Publish" CHECKED="Yes">
							</CFIF>
						</TD>
					</TR>
					<TR>
						<TD>&nbsp;</TD>
						<TD><INPUT TYPE="submit" NAME="Submit" VALUE="Update Details"></TD>
					</TR>
				  </CFFORM>
				</TABLE>
			</TD>
		</TR>
	</TABLE>
</BODY>
</HTML>
