<!--- 
File:			Application.cfm	
Description:	Application settings for the Admin subdirectory
Author:			Barry Moore	
Created:		27-Jul-2002
--->

<!--- include all setting from the root level Application.cfm file --->
<CFINCLUDE TEMPLATE="../Application.cfm">
<!--- additional security code will go here --->

<!--- use cflogin check if there is a logged in user
	  if there is no logged in user
	  include the login form and stop --->
<CFLOGIN>
	<CFIF NOT IsDefined("cflogin")>
		<DIV ALIGN="center"><b>Please Login</b></DIV>
		<CFINCLUDE TEMPLATE="LoginForm.cfm">
		<CFABORT>
	  <CFELSE>
		<!--- run a query to see if the user's credentials match --->
		<CFQUERY NAME="qLogin" DATASOURCE="#BBWebAppDSN#">
			SELECT      *
			FROM        Users 
			WHERE 		UserName ='#cflogin.name#'
			AND 		Password ='#cflogin.password#'
		</CFQUERY>
			<!--- test the query results --->			
			<CFIF qLogin.recordCount IS 0>			
					<!--- if the record count is 0 (no matches)
				 		  display an error message and the login form again --->		   
		   			<DIV ALIGN="center"><FONT color="#FF0000"><b>Invalid login, please try again</b></FONT></DIV>
		            <CFINCLUDE TEMPLATE="LoginForm.cfm">
		            <CFABORT>
		      <CFELSE>
					 <!--- otherwise log the user in --->
		             <CFLOGINUSER NAME="#cflogin.name#" PASSWORD="#cflogin.password#" ROLES="#qLogin.Roles#">
		     </CFIF>
	</CFIF>
</CFLOGIN>