<!--- 
File:			ProductDetail.cfm
Description:	Product detail page template for catalog
Author:			Barry Moore
Created:		17-Mar-2002
--->

<!--- Query product details. URL will contain product number as pid--->
<CFQUERY NAME="qProductDetail" DATASOURCE="#BBWebAppDSN#">
	SELECT      *
	FROM        Products 
	WHERE       ProductNo = '#URL.PID#'
</CFQUERY>


<HTML>
  <HEAD>
    <TITLE>Beelze-Bubba Product Details </TITLE>
	<LINK REL="stylesheet" HREF="../styles/bbstyle.css" TYPE="text/css">
  </HEAD>
  
  <BODY BGCOLOR="#FFFFFF" TEXT="#000000" LEFTMARGIN="0" TOPMARGIN="0" MARGINWIDTH="0" MARGINHEIGHT="0" onLoad="self.focus()">
   	<!--- header table --->
	<TABLE WIDTH="450" ALIGN="center" BGCOLOR="#CC0000" CELLSPACING="0" CELLPADDING="3">
   		<TR>
   			<TD CLASS="Date"> Beelze-Bubba Chilli Company </TD>
   		</TR>
   	</TABLE>
	<BR>
	<!--- output product details from the query --->
	<CFOUTPUT QUERY="qProductDetail">
   	<TABLE WIDTH="450" BORDER="0" ALIGN="center">
	
			<TR>
				<TD WIDTH="200"  ROWSPAN="4" ALIGN="left" VALIGN="middle">
					<IMG SRC="../images/products_lrg/#ImageFile#" ALT="#Name#" HEIGHT="200" WIDTH="200">
				</TD>
				<TD CLASS="bold" WIDTH="90" VALIGN="top">   				   
				    Product No: 
				</TD>
				<TD WIDTH="140" VALIGN="top">   				   
				   #ProductNo#
				</TD>
			</TR>
			<TR>
				<TD CLASS="header" COLSPAN="2" VALIGN="top">   				   
				   #Name#
				</TD>
			</TR>
			<TR>
				<TD COLSPAN="2" VALIGN="top">   				   
				   #ParagraphFormat(Description)#
				</TD>
			</TR>
			
			<!--- add CFIF statement and graphic here to display special prices
				  if this product is on special
			 --->
			<CFIF OnSpecial IS NOT 0>
				<TR>
					<TD CLASS="bold" WIDTH="80" VALIGN="top">   				   
					  Price<BR>
					  <IMG SRC="../images/special.gif" ALT="on special" WIDTH="70" HEIGHT="30" BORDER="0">
					</TD>
					<TD CLASS="bold" WIDTH="150" VALIGN="top" ALIGN="right">   				   
					  #DollarFormat(SpecialPrice)# 
					</TD>
				</TR>
			  <CFELSE>
				<TR>
					<TD CLASS="bold" WIDTH="80" VALIGN="top">   				   
					  Price
					</TD>
					<TD CLASS="bold" WIDTH="150" VALIGN="top" ALIGN="right">   				   
					  #DollarFormat(Price)# 
					</TD>
				</TR>
			</CFIF>	
			<TR>
				<TD CLASS="bold" VALIGN="top" COLSPAN="3">   				   
				   Notes
				</TD>
				
			</TR>
			<TR>
				<TD VALIGN="top" COLSPAN="3">   				   
				   #ParagraphFormat(Notes)#
				</TD>
				
			</TR>
	</TABLE>
	<!--- footer table with graphics --->
   	<TABLE WIDTH="450" BORDER="0" ALIGN="center">
   		<TR>
   			<TD ALIGN="center">
   				<IMG SRC="../images/cart_symbol.gif" WIDTH="150" HEIGHT="25" ALT="add item to inquiry list" BORDER="0">
   			</TD>

   			<TD ALIGN="center">
   				<A HREF="##" onClick="window.print()">
				<IMG SRC="../images/print_page.gif" WIDTH="150" HEIGHT="25" ALT="Click to print this page" BORDER="0" onClick="_onclick()">
				</A>
   			</TD>
   			<TD>
   				<A HREF="##" onClick="self.close()">
				<IMG SRC="../images/close_page.gif" WIDTH="150" HEIGHT="25" ALT="Click to close this window" BORDER="0">
				</A>
   			</TD>
   		</TR>
   	</TABLE> 
	</CFOUTPUT>
  </BODY>
</HTML>
