<!--- 
File:			EmployeeDetails.cfm	
Description:	Form to edit employee details
Author:			Barry Moore	
Created:		25-Mar-2002
--->

<!--- If users arrive at this page without a URL.eid variable
		redirect them back to the search page --->
<CFIF NOT IsDefined("URL.eid")> 
	<CFLOCATION URL="EmployeeSearch.cfm" > 
</CFIF>	 

<!--- get employee details for chosen employee
		using the URL.eid variable passed--->
<CFQUERY NAME="qEmployeeDetails" DATASOURCE="Staff">
	SELECT      *
	FROM        Employees 
	WHERE      	Employees.EmployeeID = #URL.eid#
</CFQUERY>

<!--- get department information to build CFSELECT menu --->
<CFQUERY NAME="qDepartments" DATASOURCE="Staff">
	SELECT 		DepartmentID, DepartmentName
	FROM 		Departments
	ORDER BY 	DepartmentName
</CFQUERY>

<HTML>
  <HEAD>
      <TITLE>Employee Details</TITLE>
  </HEAD>
  <BODY>
	  <H2>Edit Employee Details</H2>
	    <!--- set the action page for this form --->
	  	<CFFORM ACTION="EmployeeUpdate.cfm" METHOD="POST" >
		  <!--- include a hidden field to pass the EmployeeID to the action page --->
		  <CFOUTPUT>
		  <INPUT TYPE="hidden" NAME="EmployeeID" VALUE="#qEmployeeDetails.EmployeeID#">
		  </CFOUTPUT>  
		    <TABLE BORDER="1" CELLSPACING="0" CELLPADDING="5" BORDERCOLOR="#000000" BGCOLOR="#FFFFCC">
			  <TR>
				<TD>Employee ID</TD>
				<TD><cfoutput><B>#qEmployeeDetails.EmployeeID#</B></cfoutput></TD>
			  </TR>
			  <TR>
				<TD>First Name:</TD>
				<TD><CFINPUT TYPE="Text" NAME="FirstName" VALUE="#qEmployeeDetails.FirstName#" MESSAGE="Please enter first name" REQUIRED="Yes" MAXLENGTH="50"></TD>
			  </TR>
			  <TR>
				<TD>Last Name:</TD>
				<TD><CFINPUT TYPE="Text" NAME="LastName" VALUE="#qEmployeeDetails.LastName#" MESSAGE="Please enter last name" REQUIRED="Yes" MAXLENGTH="50"></TD>
			  </TR>
			  <TR>
				<TD>Department:</TD>
				<TD><CFSELECT NAME="DepartmentID" 
							  QUERY="qDepartments" 
							  VALUE="DepartmentID" 
							  DISPLAY="DepartmentName" 
							  SELECTED="#qEmployeeDetails.DepartmentID#" 
							  REQUIRED="Yes">
					</CFSELECT>
				</TD>
			  </TR>
			  <TR>
				<TD>Title:</TD>
				<TD><CFINPUT TYPE="Text" NAME="Title" VALUE="#qEmployeeDetails.Title#" REQUIRED="Yes" SIZE="30" MAXLENGTH="50"></TD>
			  </TR>
			  <TR>
				<TD>Email:</TD>
				<TD><CFINPUT TYPE="Text" NAME="Email" VALUE="#qEmployeeDetails.Email#" REQUIRED="Yes" SIZE="30" MAXLENGTH="50"></TD>
			  </TR>
			  <TR>
				<TD>Extension:</TD>
				<TD><CFINPUT TYPE="Text" NAME="Extension" VALUE="#qEmployeeDetails.Extension#" VALIDATE="integer" REQUIRED="Yes" SIZE="5" MAXLENGTH="5"></TD>
			  </TR>
			  <TR>
				<TD>Date Hired:</TD>
				<TD><CFINPUT TYPE="Text" NAME="DateHired" VALUE="#DateFormat(qEmployeeDetails.DateHired,"MM/DD/YYYY")#" VALIDATE="date" REQUIRED="Yes" ><FONT COLOR="##CC0000" SIZE="-1">MM/DD/YYYY</FONT></TD>
			  </TR>
			  <TR>
				<TD><FONT SIZE="-1" COLOR="#FF0000">all fields are required</FONT></TD>
				<TD><INPUT TYPE="submit" VALUE="Update"></TD>
			  </TR>
		    </TABLE>
		</CFFORM>  
  </BODY>
</HTML>
