<!--- 
File:			Action1.cfm	
Description:	Action page to display search results
Author:			Barry Moore	
Created:		20-Mar-2002
--->

<!--- query database using information passed from the form  --->
<CFQUERY NAME="qEmployees" DATASOURCE="Staff">
	SELECT      Employees.FirstName, Employees.LastName, Employees.DepartmentID,
				Employees.Title, Employees.Email, Employees.Extension, 
				Departments.DepartmentID, Departments.DepartmentName
	FROM        Employees, Departments 
	WHERE       Employees.DepartmentID = #FORM.DepartmentID#
	AND			Employees.DepartmentID = Departments.DepartmentID 
	ORDER BY  	LastName
</CFQUERY>


<HTML>
  <HEAD>
      <TITLE>Action Page 1</TITLE>
  </HEAD>
  <BODY>
  	<H2>Employee Search Results</H2>
  	<TABLE WIDTH="90%" BORDER="0" CELLSPACING="0" CELLPADDING="2">
		<!--- header row --->
		<TR BGCOLOR="#ECECEC">
			<TD><B>Last Name</B></TD>
			<TD><B>First Name</B></TD>
			<TD><B>Title</B></TD>
			<TD ALIGN="center"><B>Department</B></TD>
			<TD ALIGN="center"><B>Extension</B></TD>
			<TD><B>Email</B></TD>
		</TR>
		<!--- output the search results --->
		<CFOUTPUT QUERY="qEmployees">
		
		<!--- the alternating row color trick 
			  divide the current row number by 2
			  if there is no remainder (MOD IS 0)
			  the row must be an even number--->
		<CFIF qEmployees.CurrentRow MOD 2 IS 0>
			<!--- even row color --->
			<TR BGCOLOR="##CCFFFF">
		  <CFELSE>
		  	<!--- odd row color --->
			<TR BGCOLOR="##FFFFFF">
		</CFIF>
				<TD>#LastName#</TD>
				<TD>#FirstName#</TD>
				<TD>#Title#</TD>
				<TD ALIGN="center">#DepartmentName#</TD>
				<TD ALIGN="center">#Extension#</TD>
				<TD>#Email#</TD>
			</TR>
		</CFOUTPUT>
	</TABLE>
	<P><A HREF="Form1.cfm">Back to Search</A></P>
  </BODY>
</HTML>
