<!--- 
File:			Action2.cfm	
Description:	Action page to for Form2.cfm
Author:			Barry Moore	
Created:		21-Mar-2002
--->

<!--- get department information for the select menu --->
<CFQUERY NAME="qEmployees" DATASOURCE="Staff">
	SELECT      Employees.FirstName, Employees.LastName, Employees.DepartmentID,
				Employees.Title, Employees.Email, Employees.Extension, 
				Departments.DepartmentID, Departments.DepartmentName
	FROM        Employees, Departments 
	WHERE       Employees.DepartmentID = Departments.DepartmentID 
	<!--- check to see if a department is specified 
		  if it is include it in the search	--->
	<CFIF FORM.DepartmentID IS NOT "" >
	AND			Employees.DepartmentID = #FORM.DepartmentID#
	</CFIF>
	<!--- check to see if the SearchFName box contains any text
		  if it does, include it in the search  --->
	<CFIF FORM.SearchFname IS NOT "">
	AND			Employees.FirstName LIKE '#Trim(FORM.SearchFName)#%'
	</CFIF>
	<!--- check to see if the SearchLName box contains any text
		  if it does, include it in the search  --->
	<CFIF FORM.SearchLName IS NOT "">
	AND			Employees.LastName LIKE '#Trim(FORM.SearchLName)#%'
	</CFIF>	
	ORDER BY 	Employees.LastName
</CFQUERY>


<HTML>
  <HEAD>
      <TITLE>Action Page 2</TITLE>
  </HEAD>
  <BODY>
  	<H2><CFOUTPUT>#qEmployees.RecordCount#</CFOUTPUT> Employee Search Results</H2>
  	<TABLE WIDTH="90%" BORDER="0" CELLSPACING="0" CELLPADDING="2">
		<!--- header row --->
		<TR BGCOLOR="#ECECEC">
			<TD><B>Last Name</B></TD>
			<TD><B>First Name</B></TD>
			<TD><B>Title</B></TD>
			<TD ALIGN="center"><B>Department</B></TD>
			<TD ALIGN="center"><B>Extension</B></TD>
			<TD><B>Email</B></TD>
		</TR>
		<!--- output the search results --->
		<CFOUTPUT QUERY="qEmployees">
		
		<!--- the alternating row color trick 
			  divide the current row number by 2
			  if there is no remainder (MOD 2 IS 0)
			  the row must be an even number--->
		<CFIF qEmployees.CurrentRow MOD 2 IS 0>
			<!--- even row color --->
			<TR BGCOLOR="##CCFFFF">
		  <CFELSE>
		  	<!--- odd row color --->
			<TR BGCOLOR="##FFFFFF">
		</CFIF>
				<TD>#LastName#</TD>
				<TD>#FirstName#</TD>
				<TD>#Title#</TD>
				<TD ALIGN="center">#DepartmentName#</TD>
				<TD ALIGN="center">#Extension#</TD>
				<TD>#Email#</TD>
			</TR>
		</CFOUTPUT>
	</TABLE>
	<P><A HREF="Form2.cfm">Back to Search</A></P>
  </BODY>
</HTML>
